> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update credits overage behaviors

> Update the credits overage behaviors settings



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /billing/subscriptions/creditsOverageBehaviors
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /billing/subscriptions/creditsOverageBehaviors:
    put:
      tags:
        - Billing - Subscription
      summary: Update credits overage behaviors
      description: Update the credits overage behaviors settings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                creditsOverageBehaviors:
                  type: array
                  items:
                    type: object
                    properties:
                      unit:
                        type: string
                        enum:
                          - billing.credits
                          - storage.records
                          - orchestration.executions
                      action:
                        type: string
                        enum:
                          - deny
                          - allow
                    required:
                      - unit
                      - action
                  title: Credits overage behaviors
                  description: Credits overage behavior configuration.
              required:
                - creditsOverageBehaviors
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````